package info.aspirecn.cloud.yysj;

import info.aspirecn.cloud.yysj.config.ConfigProperties;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.context.properties.EnableConfigurationProperties;
import org.springframework.cloud.client.circuitbreaker.EnableCircuitBreaker;
import org.springframework.cloud.netflix.zuul.EnableZuulProxy;
import org.springframework.cloud.openfeign.EnableFeignClients;

/**
 * @author dingliqiang
 */
@EnableZuulProxy
@EnableFeignClients
@SpringBootApplication
@EnableCircuitBreaker
@EnableConfigurationProperties({ConfigProperties.class})
public class Application {

    public static void main(String[] args) {
        SpringApplication.run(Application.class, args);
    }

}
