package info.aspirecn.cloud.yysj.service;

import info.aspirecn.cloud.yysj.model.ResultResponse;
import info.aspirecn.cloud.yysj.model.TokenEntity;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

/**
 * @author dingliqiang
 */
@FeignClient(value = "${zuul.routes.login-authentication-service.url}",url = "${zuul.routes.login-authentication-service.url}")
//@FeignClient(value = "http://10.8.17.119:31518", url ="http://10.8.17.119:31518")
public interface LoginService {

    /**
     * 验证 Token
     * @param tokenEntity 请求条件
     * @return 验证结果
     */
    @PostMapping("/check")
    ResultResponse checkToken(@RequestBody TokenEntity tokenEntity);

}
